logo
CampaignsUpdate campaign
Campaigns

Update campaign

Update campaign name, sequence, schedule, settings, or mailbox assignments. Mailboxes can be reassigned using any combination of mailboxIds, mailboxEmails, mailboxTags, or mailboxProvider.

curl -X PATCH "https://api.sendkit.ai/v1/campaigns/example_string" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "name": "Q1 Outreach Campaign (Updated)",
  "settings": {
    "dailySendLimit": 100
  },
  "schedule": {
    "startTime": "08:00",
    "endTime": "18:00"
  }
}'
{
  "success": true,
  "data": {
    "_id": "665a1b2c3d4e5f6a7b8c9d0e",
    "name": "Q1 Outreach Campaign (Updated)",
    "status": "draft",
    "sendingSchedule": {
      "timezone": "America/New_York",
      "startTime": "08:00",
      "endTime": "18:00",
      "workingDays": [
        1,
        2,
        3,
        4,
        5
      ]
    },
    "createdAt": "2025-06-10T10:30:00.000Z",
    "updatedAt": "2025-06-12T08:00:00.000Z"
  }
}
PATCH
/v1/campaigns/{id}
PATCH
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Bearer Token
Bearer Tokenstring
Required

API key as Bearer token

API key as Bearer token
Content-Typestring
Required

The media type of the request body

Options: application/json
namestring

Campaign name

sequencearray

Replace the entire email sequence

scheduleobject

Update sending schedule (merged into existing)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

header
Authorizationstring
Required

Bearer token. API key as Bearer token

Path Parameters

idstring
Required

Resource ID

Body

application/json
namestring

Campaign name

sequencearray

Replace the entire email sequence

scheduleobject

Update sending schedule (merged into existing)

settingsobject

Responses

successboolean
dataobject